#
# spec file for package perl-Pod-Weaver-Section-Contributors
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Pod-Weaver-Section-Contributors
Version:        0.009
Release:        1.1
%define cpan_name Pod-Weaver-Section-Contributors
Summary:        a section listing contributors
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Pod-Weaver-Section-Contributors/
Source:         http://www.cpan.org/authors/id/K/KE/KEEDI/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Moose)
BuildRequires:  perl(Pod::Elemental::Element::Nested)
BuildRequires:  perl(Pod::Elemental::Element::Pod5::Verbatim)
BuildRequires:  perl(Pod::Weaver::Role::Section)
Requires:       perl(List::MoreUtils)
Requires:       perl(Moose)
Requires:       perl(Pod::Elemental::Element::Nested)
Requires:       perl(Pod::Elemental::Element::Pod5::Verbatim)
Requires:       perl(Pod::Weaver::Role::Section)
%{perl_requires}

%description
This section adds a listing of the documents contributors. It expects a
'contributors' input parameter to be an arrayref of strings. If no
'contributors' parameter is given, it will do nothing. Otherwise, it
produces a hunk like this:

    =head1 CONTRIBUTORS

    Contributor One <a1@example.com>
    Contributor Two <a2@example.com>

To support distributions with multiple modules, it is also able to derive a
list of contributors in a file basis by looking at comments on each module.
Names of contributors on the source, will only appear on the POD of those
modules.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes cpanfile LICENSE README

%changelog
* Tue Feb 17 2015 coolo@suse.com
- initial package 0.009
  * created by cpanspec 1.78.08
